API Documentation Download OpenAPI specification

Fetch Order Details

GEThttps://bll.titan.email/partner/fetchOrderDetails

API to fetch detailed information about a specific Mail Order on Titan Mail Cloud Infra using the titanOrderId.

This API provides comprehensive details about a mail order including account counts, domain information, and order status.

Query parameters

titanOrderIdnumberrequired

The Titan order ID for which detailed information is required

Example: 123

Responses

200OKapplication/json
titanOrderIdnumber

The Titan order ID

Example: 123
domainNamestring

The mail order name associated to the Titan order ID

Example: abc.com
orderIdstring

The order ID stored on your end for this mail order, if any. You can use this data to correlate orders at your end and in Titan.

Example: 12431
planTypestring

The plan type of the mail order

Example: premium
noOfAccountsnumber

Maximum number of email accounts permitted to be created within the domain. E.g. The domain might have 3 mailboxes created with a limit of 10 mailboxes. The return value will be 10 in this case

Example: 10
noOfBillableAccountsnumber

Number of email accounts provisioned, which are in active/suspended state if domain is on non paid plan. Would be equal to noOfAccounts for paid domains.

Example: 10
noOfActiveAccountsnumber

Number of active email accounts

Example: 6
noOfProvisionedAccountsnumber

Number of email accounts provisioned, which are in active/suspended state

Example: 8
expiryDatestring

In yyyy-MM-dd format. Expiry date set against the domain

Example: 2020-01-31
statusstring

Current status of the order

Example: active
customerEmailAddressstring

Customer email address All communications will be sent here This will also be the primary admin for the domain

Example: titanuser@titan.mail
serverHostNamestringoptional

hostname of the hosting-server where user's hosting order has been provisioned. only available in case provisioning is via cPanel/plesk plugin

Example: cpanel102.titan.co
sourcestring · enumoptional

The source from which the order is received - Refers to the kind of package provisioned on the partners end. Source field should be either of these values - domain, standalone, hosting, migrated. It will be validated against these values when the Api call is made

Example: hosting
Possible values: domain standalone hosting migrated
titanCustomerIdnumber

Titan's internal customer ID

Example: 456
customerIdstring

Partner's customer ID stored on your end for this customer

Example: abc123
addonSubscriptionCountersobjectoptional

Map of addon type to the configured subscription quota for this order.

Example: {"storage_addon":5}
Show propertiesHide properties
addonTypenumberoptionaladditional property
400InvalidParameter
  • titanOrderId is not provided or is invalid
403FORBIDDEN
  • Partner does not have access to the specified order
See General Errors for other errors that this API can return.
GET/partner/fetchOrderDetails
curl 'https://bll.titan.email/partner/fetchOrderDetails?titanOrderId=123' \
  --header 'Authorization: API.Key'
Response
{
  "titanOrderId": 123,
  "domainName": "abc.com",
  "orderId": "12431",
  "planType": "premium",
  "noOfAccounts": 10,
  "noOfBillableAccounts": 10,
  "noOfActiveAccounts": 6,
  "noOfProvisionedAccounts": 8,
  "expiryDate": "2020-01-31",
  "status": "active",
  "customerEmailAddress": "titanuser@titan.mail",
  "serverHostName": "cpanel102.titan.co",
  "source": "hosting",
  "titanCustomerId": 456,
  "customerId": "abc123",
  "addonSubscriptionCounters": {
    "storage_addon": 5
  }
}